com.sun.grid.jgdi.configuration

## Interface Job

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    JobImpl

      public interface Job
      extends GEObject

  Java representation of the cull object JB_Type defined in sge_all_listsL.template

  Warning: The Job class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinding(Binding abinding)` Add a com.sun.grid.jgdi.configuration.Binding attribute.
    `void` | `addHardQueue(java.lang.String ahardQueue)` Add a java.lang.String attribute.
    `void` | `addHardResource(ComplexEntry ahardResource)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `addJaAdRequest(JobReference ajaAdRequest)` Add a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `addJaAHIds(Range ajaAHIds)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJaNHIds(Range ajaNHIds)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJaOHIds(Range ajaOHIds)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJaSHIds(Range ajaSHIds)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJaStructure(Range ajaStructure)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJaTasks(JobTask ajaTasks)` Add a com.sun.grid.jgdi.configuration.JobTask attribute.
    `void` | `addJaTemplate(JobTask ajaTemplate)` Add a com.sun.grid.jgdi.configuration.JobTask attribute.
    `void` | `addJaUHIds(Range ajaUHIds)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJidRequest(JobReference ajidRequest)` Add a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `addJobArgs(java.lang.String ajobArgs)` Add a java.lang.String attribute.
    `void` | `addMail(MailReceiver amail)` Add a com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `void` | `addMasterHardQueue(java.lang.String amasterHardQueue)` Add a java.lang.String attribute.
    `void` | `addPathAliases(PathAlias apathAliases)` Add a com.sun.grid.jgdi.configuration.PathAlias attribute.
    `void` | `addPeRange(Range apeRange)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addShell(PathName ashell)` Add a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `addSoftQueue(java.lang.String asoftQueue)` Add a java.lang.String attribute.
    `void` | `addSoftResource(ComplexEntry asoftResource)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `addStderrPath(PathName astderrPath)` Add a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `addStdinPath(PathName astdinPath)` Add a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `addStdoutPath(PathName astdoutPath)` Add a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `addUser(java.lang.String auser)` Add a java.lang.String attribute.
    `java.lang.String` | `dump()`
    `java.lang.String` | `getAccount()` Get the value of the account attribute.
    `int` | `getAr()` Get the value of the ar attribute.
    `Binding` | `getBinding(int index)` Get a com.sun.grid.jgdi.configuration.Binding attribute at an index.
    `int` | `getBindingCount()` Get the number of com.sun.grid.jgdi.configuration.Binding attributes.
    `java.util.List<Binding>` | `getBindingList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Binding attributes.
    `int` | `getCheckpointAttr()` Get the value of the checkpointAttr attribute.
    `int` | `getCheckpointInterval()` Get the value of the checkpointInterval attribute.
    `java.lang.String` | `getCheckpointName()` Get the value of the checkpointName attribute.
    `Checkpoint` | `getCheckpointObject()` Get the value of the checkpointObject attribute.
    `java.lang.String` | `getContext(java.lang.String key)` Get the context attribute for `key`.
    `int` | `getContextCount()` Get the number of keys which have the attribute context set.
    `java.util.Set<java.lang.String>` | `getContextKeys()` Get the set of `key`s which have the attribute context set.
    `java.lang.String` | `getCred()` Get the value of the cred attribute.
    `java.lang.String` | `getCwd()` Get the value of the cwd attribute.
    `int` | `getDeadline()` Get the value of the deadline attribute.
    `java.lang.String` | `getDefaultContext()` Get the default value of the attribute context.
    `java.lang.String` | `getDefaultEnv()` Get the default value of the attribute env.
    `java.lang.String` | `getDepartment()` Get the value of the department attribute.
    `java.lang.String` | `getDirectivePrefix()` Get the value of the directivePrefix attribute.
    `double` | `getDlcontr()` Get the value of the dlcontr attribute.
    `java.lang.String` | `getEnv(java.lang.String key)` Get the env attribute for `key`.
    `int` | `getEnvCount()` Get the number of keys which have the attribute env set.
    `java.util.Set<java.lang.String>` | `getEnvKeys()` Get the set of `key`s which have the attribute env set.
    `java.lang.String` | `getExecFile()` Get the value of the execFile attribute.
    `int` | `getExecutionTime()` Get the value of the executionTime attribute.
    `int` | `getGid()` Get the value of the gid attribute.
    `java.lang.String` | `getGroup()` Get the value of the group attribute.
    `java.lang.String` | `getHardQueue(int index)` Get a java.lang.String attribute at an index.
    `int` | `getHardQueueCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getHardQueueList()` Get a unmodifiable list of all java.lang.String attributes.
    `ComplexEntry` | `getHardResource(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getHardResourceCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getHardResourceList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.lang.String` | `getHost()` Get the value of the host attribute.
    `JobReference` | `getJaAdPredecessor(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJaAdPredecessorCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJaAdPredecessorList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `JobReference` | `getJaAdRequest(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJaAdRequestCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJaAdRequestList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `JobReference` | `getJaAdSuccessor(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJaAdSuccessorCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJaAdSuccessorList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `Range` | `getJaAHIds(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaAHIdsCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaAHIdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `Range` | `getJaNHIds(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaNHIdsCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaNHIdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `Range` | `getJaOHIds(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaOHIdsCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaOHIdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `Range` | `getJaSHIds(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaSHIdsCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaSHIdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `Range` | `getJaStructure(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaStructureCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaStructureList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `int` | `getJaTaskConcurrency()` Get the value of the jaTaskConcurrency attribute.
    `JobTask` | `getJaTasks(int index)` Get a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
    `int` | `getJaTasksCount()` Get the number of com.sun.grid.jgdi.configuration.JobTask attributes.
    `java.util.List<JobTask>` | `getJaTasksList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobTask attributes.
    `JobTask` | `getJaTemplate(int index)` Get a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
    `int` | `getJaTemplateCount()` Get the number of com.sun.grid.jgdi.configuration.JobTask attributes.
    `java.util.List<JobTask>` | `getJaTemplateList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobTask attributes.
    `Range` | `getJaUHIds(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaUHIdsCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaUHIdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `JobReference` | `getJidPredecessor(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJidPredecessorCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJidPredecessorList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `JobReference` | `getJidRequest(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJidRequestCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJidRequestList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `JobReference` | `getJidSuccessor(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJidSuccessorCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJidSuccessorList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.lang.String` | `getJobArgs(int index)` Get a java.lang.String attribute at an index.
    `int` | `getJobArgsCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getJobArgsList()` Get a unmodifiable list of all java.lang.String attributes.
    `java.lang.String` | `getJobName()` Get the value of the jobName attribute.
    `int` | `getJobNumber()` Get the value of the jobNumber attribute.
    `int` | `getJobshare()` Get the value of the jobshare attribute.
    `MailReceiver` | `getMail(int index)` Get a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
    `int` | `getMailCount()` Get the number of com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `java.util.List<MailReceiver>` | `getMailList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `int` | `getMailOptions()` Get the value of the mailOptions attribute.
    `java.lang.String` | `getMasterHardQueue(int index)` Get a java.lang.String attribute at an index.
    `int` | `getMasterHardQueueCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getMasterHardQueueList()` Get a unmodifiable list of all java.lang.String attributes.
    `double` | `getNppri()` Get the value of the nppri attribute.
    `double` | `getNurg()` Get the value of the nurg attribute.
    `int` | `getOverrideTickets()` Get the value of the overrideTickets attribute.
    `java.lang.String` | `getOwner()` Get the value of the owner attribute.
    `PathAlias` | `getPathAliases(int index)` Get a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
    `int` | `getPathAliasesCount()` Get the number of com.sun.grid.jgdi.configuration.PathAlias attributes.
    `java.util.List<PathAlias>` | `getPathAliasesList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathAlias attributes.
    `java.lang.String` | `getPe()` Get the value of the pe attribute.
    `Range` | `getPeRange(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getPeRangeCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getPeRangeList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `int` | `getPriority()` Get the value of the priority attribute.
    `java.lang.String` | `getProject()` Get the value of the project attribute.
    `int` | `getPty()` Get the value of the pty attribute.
    `int` | `getRestart()` Get the value of the restart attribute.
    `double` | `getRrcontr()` Get the value of the rrcontr attribute.
    `java.lang.String` | `getScriptFile()` Get the value of the scriptFile attribute.
    `java.lang.String` | `getScriptPtr()` Get the value of the scriptPtr attribute.
    `int` | `getScriptSize()` Get the value of the scriptSize attribute.
    `java.lang.String` | `getSession()` Get the value of the session attribute.
    `PathName` | `getShell(int index)` Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `int` | `getShellCount()` Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
    `java.util.List<PathName>` | `getShellList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
    `java.lang.String` | `getSoftQueue(int index)` Get a java.lang.String attribute at an index.
    `int` | `getSoftQueueCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getSoftQueueList()` Get a unmodifiable list of all java.lang.String attributes.
    `ComplexEntry` | `getSoftResource(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getSoftResourceCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getSoftResourceList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `PathName` | `getStderrPath(int index)` Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `int` | `getStderrPathCount()` Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
    `java.util.List<PathName>` | `getStderrPathList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
    `PathName` | `getStdinPath(int index)` Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `int` | `getStdinPathCount()` Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
    `java.util.List<PathName>` | `getStdinPathList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
    `PathName` | `getStdoutPath(int index)` Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `int` | `getStdoutPathCount()` Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
    `java.util.List<PathName>` | `getStdoutPathList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
    `int` | `getSubmissionTime()` Get the value of the submissionTime attribute.
    `java.lang.String` | `getTgt()` Get the value of the tgt attribute.
    `int` | `getType()` Get the value of the type attribute.
    `int` | `getUid()` Get the value of the uid attribute.
    `double` | `getUrg()` Get the value of the urg attribute.
    `java.lang.String` | `getUser(int index)` Get a java.lang.String attribute at an index.
    `int` | `getUserCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getUserList()` Get a unmodifiable list of all java.lang.String attributes.
    `int` | `getVerify()` Get the value of the verify attribute.
    `int` | `getVerifySuitableQueues()` Get the value of the verifySuitableQueues attribute.
    `int` | `getVersion()` Get the value of the version attribute.
    `double` | `getWtcontr()` Get the value of the wtcontr attribute.
    `boolean` | `isMergeStderr()` Get the value of the mergeStderr attribute.
    `boolean` | `isNotify()` Get the value of the notify attribute.
    `boolean` | `isReserve()` Get the value of the reserve attribute.
    `boolean` | `isSetAccount()` Determine if any account attribute is set
    `boolean` | `isSetAr()` Determine if any ar attribute is set
    `boolean` | `isSetBinding()` Determine if any binding attribute is set
    `boolean` | `isSetCheckpointAttr()` Determine if any checkpointAttr attribute is set
    `boolean` | `isSetCheckpointInterval()` Determine if any checkpointInterval attribute is set
    `boolean` | `isSetCheckpointName()` Determine if any checkpointName attribute is set
    `boolean` | `isSetCheckpointObject()` Determine if any checkpointObject attribute is set
    `boolean` | `isSetContext()` Determine if any context attribute is set
    `boolean` | `isSetContext(java.lang.String key)` Determine if any context attribute is for `key` is set
    `boolean` | `isSetCred()` Determine if any cred attribute is set
    `boolean` | `isSetCwd()` Determine if any cwd attribute is set
    `boolean` | `isSetDeadline()` Determine if any deadline attribute is set
    `boolean` | `isSetDepartment()` Determine if any department attribute is set
    `boolean` | `isSetDirectivePrefix()` Determine if any directivePrefix attribute is set
    `boolean` | `isSetDlcontr()` Determine if any dlcontr attribute is set
    `boolean` | `isSetEnv()` Determine if any env attribute is set
    `boolean` | `isSetEnv(java.lang.String key)` Determine if any env attribute is for `key` is set
    `boolean` | `isSetExecFile()` Determine if any execFile attribute is set
    `boolean` | `isSetExecutionTime()` Determine if any executionTime attribute is set
    `boolean` | `isSetGid()` Determine if any gid attribute is set
    `boolean` | `isSetGroup()` Determine if any group attribute is set
    `boolean` | `isSetHardQueue()` Determine if any hardQueue attribute is set
    `boolean` | `isSetHardResource()` Determine if any hardResource attribute is set
    `boolean` | `isSetHost()` Determine if any host attribute is set
    `boolean` | `isSetJaAdPredecessor()` Determine if any jaAdPredecessor attribute is set
    `boolean` | `isSetJaAdRequest()` Determine if any jaAdRequest attribute is set
    `boolean` | `isSetJaAdSuccessor()` Determine if any jaAdSuccessor attribute is set
    `boolean` | `isSetJaAHIds()` Determine if any jaAHIds attribute is set
    `boolean` | `isSetJaNHIds()` Determine if any jaNHIds attribute is set
    `boolean` | `isSetJaOHIds()` Determine if any jaOHIds attribute is set
    `boolean` | `isSetJaSHIds()` Determine if any jaSHIds attribute is set
    `boolean` | `isSetJaStructure()` Determine if any jaStructure attribute is set
    `boolean` | `isSetJaTaskConcurrency()` Determine if any jaTaskConcurrency attribute is set
    `boolean` | `isSetJaTasks()` Determine if any jaTasks attribute is set
    `boolean` | `isSetJaTemplate()` Determine if any jaTemplate attribute is set
    `boolean` | `isSetJaUHIds()` Determine if any jaUHIds attribute is set
    `boolean` | `isSetJidPredecessor()` Determine if any jidPredecessor attribute is set
    `boolean` | `isSetJidRequest()` Determine if any jidRequest attribute is set
    `boolean` | `isSetJidSuccessor()` Determine if any jidSuccessor attribute is set
    `boolean` | `isSetJobArgs()` Determine if any jobArgs attribute is set
    `boolean` | `isSetJobName()` Determine if any jobName attribute is set
    `boolean` | `isSetJobNumber()` Determine if any jobNumber attribute is set
    `boolean` | `isSetJobshare()` Determine if any jobshare attribute is set
    `boolean` | `isSetMail()` Determine if any mail attribute is set
    `boolean` | `isSetMailOptions()` Determine if any mailOptions attribute is set
    `boolean` | `isSetMasterHardQueue()` Determine if any masterHardQueue attribute is set
    `boolean` | `isSetMergeStderr()` Determine if any mergeStderr attribute is set
    `boolean` | `isSetNotify()` Determine if any notify attribute is set
    `boolean` | `isSetNppri()` Determine if any nppri attribute is set
    `boolean` | `isSetNurg()` Determine if any nurg attribute is set
    `boolean` | `isSetOverrideTickets()` Determine if any overrideTickets attribute is set
    `boolean` | `isSetOwner()` Determine if any owner attribute is set
    `boolean` | `isSetPathAliases()` Determine if any pathAliases attribute is set
    `boolean` | `isSetPe()` Determine if any pe attribute is set
    `boolean` | `isSetPeRange()` Determine if any peRange attribute is set
    `boolean` | `isSetPriority()` Determine if any priority attribute is set
    `boolean` | `isSetProject()` Determine if any project attribute is set
    `boolean` | `isSetPty()` Determine if any pty attribute is set
    `boolean` | `isSetReserve()` Determine if any reserve attribute is set
    `boolean` | `isSetRestart()` Determine if any restart attribute is set
    `boolean` | `isSetRrcontr()` Determine if any rrcontr attribute is set
    `boolean` | `isSetScriptFile()` Determine if any scriptFile attribute is set
    `boolean` | `isSetScriptPtr()` Determine if any scriptPtr attribute is set
    `boolean` | `isSetScriptSize()` Determine if any scriptSize attribute is set
    `boolean` | `isSetSession()` Determine if any session attribute is set
    `boolean` | `isSetShell()` Determine if any shell attribute is set
    `boolean` | `isSetSoftQueue()` Determine if any softQueue attribute is set
    `boolean` | `isSetSoftResource()` Determine if any softResource attribute is set
    `boolean` | `isSetStderrPath()` Determine if any stderrPath attribute is set
    `boolean` | `isSetStdinPath()` Determine if any stdinPath attribute is set
    `boolean` | `isSetStdoutPath()` Determine if any stdoutPath attribute is set
    `boolean` | `isSetSubmissionTime()` Determine if any submissionTime attribute is set
    `boolean` | `isSetTgt()` Determine if any tgt attribute is set
    `boolean` | `isSetType()` Determine if any type attribute is set
    `boolean` | `isSetUid()` Determine if any uid attribute is set
    `boolean` | `isSetUrg()` Determine if any urg attribute is set
    `boolean` | `isSetUser()` Determine if any user attribute is set
    `boolean` | `isSetVerify()` Determine if any verify attribute is set
    `boolean` | `isSetVerifySuitableQueues()` Determine if any verifySuitableQueues attribute is set
    `boolean` | `isSetVersion()` Determine if any version attribute is set
    `boolean` | `isSetWtcontr()` Determine if any wtcontr attribute is set
    `void` | `putContext(java.lang.String key, java.lang.String value)` Put the attribute context for `key`.
    `void` | `putEnv(java.lang.String key, java.lang.String value)` Put the attribute env for `key`.
    `void` | `removeAllBinding()` Remove all com.sun.grid.jgdi.configuration.Binding attributes.
    `void` | `removeAllContext()` Remove the attribute context for all keys.
    `void` | `removeAllEnv()` Remove the attribute env for all keys.
    `void` | `removeAllHardQueue()` Remove all java.lang.String attributes.
    `void` | `removeAllHardResource()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllJaAdRequest()` Remove all com.sun.grid.jgdi.configuration.JobReference attributes.
    `void` | `removeAllJaAHIds()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJaNHIds()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJaOHIds()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJaSHIds()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJaStructure()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJaTasks()` Remove all com.sun.grid.jgdi.configuration.JobTask attributes.
    `void` | `removeAllJaTemplate()` Remove all com.sun.grid.jgdi.configuration.JobTask attributes.
    `void` | `removeAllJaUHIds()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJidRequest()` Remove all com.sun.grid.jgdi.configuration.JobReference attributes.
    `void` | `removeAllJobArgs()` Remove all java.lang.String attributes.
    `void` | `removeAllMail()` Remove all com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `void` | `removeAllMasterHardQueue()` Remove all java.lang.String attributes.
    `void` | `removeAllPathAliases()` Remove all com.sun.grid.jgdi.configuration.PathAlias attributes.
    `void` | `removeAllPeRange()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllShell()` Remove all com.sun.grid.jgdi.configuration.PathName attributes.
    `void` | `removeAllSoftQueue()` Remove all java.lang.String attributes.
    `void` | `removeAllSoftResource()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllStderrPath()` Remove all com.sun.grid.jgdi.configuration.PathName attributes.
    `void` | `removeAllStdinPath()` Remove all com.sun.grid.jgdi.configuration.PathName attributes.
    `void` | `removeAllStdoutPath()` Remove all com.sun.grid.jgdi.configuration.PathName attributes.
    `void` | `removeAllUser()` Remove all java.lang.String attributes.
    `boolean` | `removeBinding(Binding abinding)` Remote a specific com.sun.grid.jgdi.configuration.Binding attribute.
    `Binding` | `removeBinding(int index)` Remote a com.sun.grid.jgdi.configuration.Binding attribute at an index.
    `java.lang.String` | `removeContext(java.lang.String key)` remove the attribute context for `key`.
    `java.lang.String` | `removeEnv(java.lang.String key)` remove the attribute env for `key`.
    `java.lang.String` | `removeHardQueue(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeHardQueue(java.lang.String ahardQueue)` Remote a specific java.lang.String attribute.
    `boolean` | `removeHardResource(ComplexEntry ahardResource)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeHardResource(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `JobReference` | `removeJaAdRequest(int index)` Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `boolean` | `removeJaAdRequest(JobReference ajaAdRequest)` Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
    `Range` | `removeJaAHIds(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaAHIds(Range ajaAHIds)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `Range` | `removeJaNHIds(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaNHIds(Range ajaNHIds)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `Range` | `removeJaOHIds(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaOHIds(Range ajaOHIds)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `Range` | `removeJaSHIds(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaSHIds(Range ajaSHIds)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `Range` | `removeJaStructure(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaStructure(Range ajaStructure)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `JobTask` | `removeJaTasks(int index)` Remote a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
    `boolean` | `removeJaTasks(JobTask ajaTasks)` Remote a specific com.sun.grid.jgdi.configuration.JobTask attribute.
    `JobTask` | `removeJaTemplate(int index)` Remote a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
    `boolean` | `removeJaTemplate(JobTask ajaTemplate)` Remote a specific com.sun.grid.jgdi.configuration.JobTask attribute.
    `Range` | `removeJaUHIds(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaUHIds(Range ajaUHIds)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `JobReference` | `removeJidRequest(int index)` Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `boolean` | `removeJidRequest(JobReference ajidRequest)` Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
    `java.lang.String` | `removeJobArgs(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeJobArgs(java.lang.String ajobArgs)` Remote a specific java.lang.String attribute.
    `MailReceiver` | `removeMail(int index)` Remote a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
    `boolean` | `removeMail(MailReceiver amail)` Remote a specific com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `java.lang.String` | `removeMasterHardQueue(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeMasterHardQueue(java.lang.String amasterHardQueue)` Remote a specific java.lang.String attribute.
    `PathAlias` | `removePathAliases(int index)` Remote a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
    `boolean` | `removePathAliases(PathAlias apathAliases)` Remote a specific com.sun.grid.jgdi.configuration.PathAlias attribute.
    `Range` | `removePeRange(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removePeRange(Range apeRange)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `PathName` | `removeShell(int index)` Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `boolean` | `removeShell(PathName ashell)` Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
    `java.lang.String` | `removeSoftQueue(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeSoftQueue(java.lang.String asoftQueue)` Remote a specific java.lang.String attribute.
    `boolean` | `removeSoftResource(ComplexEntry asoftResource)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeSoftResource(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `PathName` | `removeStderrPath(int index)` Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `boolean` | `removeStderrPath(PathName astderrPath)` Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
    `PathName` | `removeStdinPath(int index)` Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `boolean` | `removeStdinPath(PathName astdinPath)` Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
    `PathName` | `removeStdoutPath(int index)` Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `boolean` | `removeStdoutPath(PathName astdoutPath)` Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
    `java.lang.String` | `removeUser(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeUser(java.lang.String auser)` Remote a specific java.lang.String attribute.
    `void` | `setAccount(java.lang.String aAccount)` Set the account attribute.
    `void` | `setAr(int aAr)` Set the ar attribute.
    `void` | `setBinding(int index, Binding abinding)` Set a com.sun.grid.jgdi.configuration.Binding attribute.
    `void` | `setCheckpointName(java.lang.String aCheckpointName)` Set the checkpointName attribute.
    `void` | `setCred(java.lang.String aCred)` Set the cred attribute.
    `void` | `setCwd(java.lang.String aCwd)` Set the cwd attribute.
    `void` | `setDeadline(int aDeadline)` Set the deadline attribute.
    `void` | `setDepartment(java.lang.String aDepartment)` Set the department attribute.
    `void` | `setDirectivePrefix(java.lang.String aDirectivePrefix)` Set the directivePrefix attribute.
    `void` | `setExecFile(java.lang.String aExecFile)` Set the execFile attribute.
    `void` | `setExecutionTime(int aExecutionTime)` Set the executionTime attribute.
    `void` | `setHardQueue(int index, java.lang.String ahardQueue)` Set a java.lang.String attribute.
    `void` | `setHardResource(int index, ComplexEntry ahardResource)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setJaAdRequest(int index, JobReference ajaAdRequest)` Set a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `setJaAHIds(int index, Range ajaAHIds)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJaNHIds(int index, Range ajaNHIds)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJaOHIds(int index, Range ajaOHIds)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJaSHIds(int index, Range ajaSHIds)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJaStructure(int index, Range ajaStructure)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJaTaskConcurrency(int aJaTaskConcurrency)` Set the jaTaskConcurrency attribute.
    `void` | `setJaTasks(int index, JobTask ajaTasks)` Set a com.sun.grid.jgdi.configuration.JobTask attribute.
    `void` | `setJaTemplate(int index, JobTask ajaTemplate)` Set a com.sun.grid.jgdi.configuration.JobTask attribute.
    `void` | `setJaUHIds(int index, Range ajaUHIds)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJidRequest(int index, JobReference ajidRequest)` Set a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `setJobArgs(int index, java.lang.String ajobArgs)` Set a java.lang.String attribute.
    `void` | `setJobName(java.lang.String aJobName)` Set the jobName attribute.
    `void` | `setJobNumber(int aJobNumber)` Set the jobNumber attribute.
    `void` | `setJobshare(int aJobshare)` Set the jobshare attribute.
    `void` | `setMail(int index, MailReceiver amail)` Set a com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `void` | `setMailOptions(int aMailOptions)` Set the mailOptions attribute.
    `void` | `setMasterHardQueue(int index, java.lang.String amasterHardQueue)` Set a java.lang.String attribute.
    `void` | `setMergeStderr(boolean aMergeStderr)` Set the mergeStderr attribute.
    `void` | `setNotify(boolean aNotify)` Set the notify attribute.
    `void` | `setOverrideTickets(int aOverrideTickets)` Set the overrideTickets attribute.
    `void` | `setPathAliases(int index, PathAlias apathAliases)` Set a com.sun.grid.jgdi.configuration.PathAlias attribute.
    `void` | `setPe(java.lang.String aPe)` Set the pe attribute.
    `void` | `setPeRange(int index, Range apeRange)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setPriority(int aPriority)` Set the priority attribute.
    `void` | `setProject(java.lang.String aProject)` Set the project attribute.
    `void` | `setPty(int aPty)` Set the pty attribute.
    `void` | `setReserve(boolean aReserve)` Set the reserve attribute.
    `void` | `setRestart(int aRestart)` Set the restart attribute.
    `void` | `setScriptFile(java.lang.String aScriptFile)` Set the scriptFile attribute.
    `void` | `setScriptPtr(java.lang.String aScriptPtr)` Set the scriptPtr attribute.
    `void` | `setScriptSize(int aScriptSize)` Set the scriptSize attribute.
    `void` | `setSession(java.lang.String aSession)` Set the session attribute.
    `void` | `setShell(int index, PathName ashell)` Set a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `setSoftQueue(int index, java.lang.String asoftQueue)` Set a java.lang.String attribute.
    `void` | `setSoftResource(int index, ComplexEntry asoftResource)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setStderrPath(int index, PathName astderrPath)` Set a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `setStdinPath(int index, PathName astdinPath)` Set a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `setStdoutPath(int index, PathName astdoutPath)` Set a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `setTgt(java.lang.String aTgt)` Set the tgt attribute.
    `void` | `setType(int aType)` Set the type attribute.
    `void` | `setUrg(double aUrg)` Set the urg attribute.
    `void` | `setUser(int index, java.lang.String auser)` Set a java.lang.String attribute.
    `void` | `setVerifySuitableQueues(int aVerifySuitableQueues)` Set the verifySuitableQueues attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setJobNumber

          void setJobNumber(int aJobNumber)

      Set the jobNumber attribute.
      Parameters:
        `aJobNumber` - the new value for the jobNumber attribute

    - #### getJobNumber

          int getJobNumber()

      Get the value of the jobNumber attribute.
      Returns:
        the value of the jobNumber attribute

    - #### isSetJobNumber

          boolean isSetJobNumber()

      Determine if any jobNumber attribute is set
      Returns:
        `true` if the jobNumber attribute is set

    - #### setJobName

          void setJobName(java.lang.String aJobName)

      Set the jobName attribute.
      Parameters:
        `aJobName` - the new value for the jobName attribute

    - #### getJobName

          java.lang.String getJobName()

      Get the value of the jobName attribute.
      Returns:
        the value of the jobName attribute

    - #### isSetJobName

          boolean isSetJobName()

      Determine if any jobName attribute is set
      Returns:
        `true` if the jobName attribute is set

    - #### getVersion

          int getVersion()

      Get the value of the version attribute.
      Returns:
        the value of the version attribute

    - #### isSetVersion

          boolean isSetVersion()

      Determine if any version attribute is set
      Returns:
        `true` if the version attribute is set

    - #### getJidRequestList

          java.util.List<JobReference> getJidRequestList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJidRequestCount

          int getJidRequestCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJidRequest

          JobReference getJidRequest(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### addJidRequest

          void addJidRequest(JobReference ajidRequest)

      Add a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajidRequest` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### setJidRequest

          void setJidRequest(int index,
                             JobReference ajidRequest)

      Set a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobReference attribute
        `ajidRequest` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### removeAllJidRequest

          void removeAllJidRequest()

      Remove all com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### removeJidRequest

          JobReference removeJidRequest(int index)

      Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobReference attribute or `null` if no attribute at this index is stored

    - #### removeJidRequest

          boolean removeJidRequest(JobReference ajidRequest)

      Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajidRequest` - the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobReference attribute has been removed

    - #### isSetJidRequest

          boolean isSetJidRequest()

      Determine if any jidRequest attribute is set
      Returns:
        `true` if the jidRequest attribute is set

    - #### getJidPredecessorList

          java.util.List<JobReference> getJidPredecessorList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJidPredecessorCount

          int getJidPredecessorCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJidPredecessor

          JobReference getJidPredecessor(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### isSetJidPredecessor

          boolean isSetJidPredecessor()

      Determine if any jidPredecessor attribute is set
      Returns:
        `true` if the jidPredecessor attribute is set

    - #### getJidSuccessorList

          java.util.List<JobReference> getJidSuccessorList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJidSuccessorCount

          int getJidSuccessorCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJidSuccessor

          JobReference getJidSuccessor(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### isSetJidSuccessor

          boolean isSetJidSuccessor()

      Determine if any jidSuccessor attribute is set
      Returns:
        `true` if the jidSuccessor attribute is set

    - #### getJaAdRequestList

          java.util.List<JobReference> getJaAdRequestList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJaAdRequestCount

          int getJaAdRequestCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJaAdRequest

          JobReference getJaAdRequest(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### addJaAdRequest

          void addJaAdRequest(JobReference ajaAdRequest)

      Add a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajaAdRequest` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### setJaAdRequest

          void setJaAdRequest(int index,
                              JobReference ajaAdRequest)

      Set a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobReference attribute
        `ajaAdRequest` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### removeAllJaAdRequest

          void removeAllJaAdRequest()

      Remove all com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### removeJaAdRequest

          JobReference removeJaAdRequest(int index)

      Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobReference attribute or `null` if no attribute at this index is stored

    - #### removeJaAdRequest

          boolean removeJaAdRequest(JobReference ajaAdRequest)

      Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajaAdRequest` - the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobReference attribute has been removed

    - #### isSetJaAdRequest

          boolean isSetJaAdRequest()

      Determine if any jaAdRequest attribute is set
      Returns:
        `true` if the jaAdRequest attribute is set

    - #### getJaAdPredecessorList

          java.util.List<JobReference> getJaAdPredecessorList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJaAdPredecessorCount

          int getJaAdPredecessorCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJaAdPredecessor

          JobReference getJaAdPredecessor(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### isSetJaAdPredecessor

          boolean isSetJaAdPredecessor()

      Determine if any jaAdPredecessor attribute is set
      Returns:
        `true` if the jaAdPredecessor attribute is set

    - #### getJaAdSuccessorList

          java.util.List<JobReference> getJaAdSuccessorList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJaAdSuccessorCount

          int getJaAdSuccessorCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJaAdSuccessor

          JobReference getJaAdSuccessor(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### isSetJaAdSuccessor

          boolean isSetJaAdSuccessor()

      Determine if any jaAdSuccessor attribute is set
      Returns:
        `true` if the jaAdSuccessor attribute is set

    - #### setSession

          void setSession(java.lang.String aSession)

      Set the session attribute.
      Parameters:
        `aSession` - the new value for the session attribute

    - #### getSession

          java.lang.String getSession()

      Get the value of the session attribute.
      Returns:
        the value of the session attribute

    - #### isSetSession

          boolean isSetSession()

      Determine if any session attribute is set
      Returns:
        `true` if the session attribute is set

    - #### setProject

          void setProject(java.lang.String aProject)

      Set the project attribute.
      Parameters:
        `aProject` - the new value for the project attribute

    - #### getProject

          java.lang.String getProject()

      Get the value of the project attribute.
      Returns:
        the value of the project attribute

    - #### isSetProject

          boolean isSetProject()

      Determine if any project attribute is set
      Returns:
        `true` if the project attribute is set

    - #### setDepartment

          void setDepartment(java.lang.String aDepartment)

      Set the department attribute.
      Parameters:
        `aDepartment` - the new value for the department attribute

    - #### getDepartment

          java.lang.String getDepartment()

      Get the value of the department attribute.
      Returns:
        the value of the department attribute

    - #### isSetDepartment

          boolean isSetDepartment()

      Determine if any department attribute is set
      Returns:
        `true` if the department attribute is set

    - #### setDirectivePrefix

          void setDirectivePrefix(java.lang.String aDirectivePrefix)

      Set the directivePrefix attribute.
      Parameters:
        `aDirectivePrefix` - the new value for the directivePrefix attribute

    - #### getDirectivePrefix

          java.lang.String getDirectivePrefix()

      Get the value of the directivePrefix attribute.
      Returns:
        the value of the directivePrefix attribute

    - #### isSetDirectivePrefix

          boolean isSetDirectivePrefix()

      Determine if any directivePrefix attribute is set
      Returns:
        `true` if the directivePrefix attribute is set

    - #### setExecFile

          void setExecFile(java.lang.String aExecFile)

      Set the execFile attribute.
      Parameters:
        `aExecFile` - the new value for the execFile attribute

    - #### getExecFile

          java.lang.String getExecFile()

      Get the value of the execFile attribute.
      Returns:
        the value of the execFile attribute

    - #### isSetExecFile

          boolean isSetExecFile()

      Determine if any execFile attribute is set
      Returns:
        `true` if the execFile attribute is set

    - #### setScriptFile

          void setScriptFile(java.lang.String aScriptFile)

      Set the scriptFile attribute.
      Parameters:
        `aScriptFile` - the new value for the scriptFile attribute

    - #### getScriptFile

          java.lang.String getScriptFile()

      Get the value of the scriptFile attribute.
      Returns:
        the value of the scriptFile attribute

    - #### isSetScriptFile

          boolean isSetScriptFile()

      Determine if any scriptFile attribute is set
      Returns:
        `true` if the scriptFile attribute is set

    - #### setScriptSize

          void setScriptSize(int aScriptSize)

      Set the scriptSize attribute.
      Parameters:
        `aScriptSize` - the new value for the scriptSize attribute

    - #### getScriptSize

          int getScriptSize()

      Get the value of the scriptSize attribute.
      Returns:
        the value of the scriptSize attribute

    - #### isSetScriptSize

          boolean isSetScriptSize()

      Determine if any scriptSize attribute is set
      Returns:
        `true` if the scriptSize attribute is set

    - #### setScriptPtr

          void setScriptPtr(java.lang.String aScriptPtr)

      Set the scriptPtr attribute.
      Parameters:
        `aScriptPtr` - the new value for the scriptPtr attribute

    - #### getScriptPtr

          java.lang.String getScriptPtr()

      Get the value of the scriptPtr attribute.
      Returns:
        the value of the scriptPtr attribute

    - #### isSetScriptPtr

          boolean isSetScriptPtr()

      Determine if any scriptPtr attribute is set
      Returns:
        `true` if the scriptPtr attribute is set

    - #### getSubmissionTime

          int getSubmissionTime()

      Get the value of the submissionTime attribute.
      Returns:
        the value of the submissionTime attribute

    - #### isSetSubmissionTime

          boolean isSetSubmissionTime()

      Determine if any submissionTime attribute is set
      Returns:
        `true` if the submissionTime attribute is set

    - #### setExecutionTime

          void setExecutionTime(int aExecutionTime)

      Set the executionTime attribute.
      Parameters:
        `aExecutionTime` - the new value for the executionTime attribute

    - #### getExecutionTime

          int getExecutionTime()

      Get the value of the executionTime attribute.
      Returns:
        the value of the executionTime attribute

    - #### isSetExecutionTime

          boolean isSetExecutionTime()

      Determine if any executionTime attribute is set
      Returns:
        `true` if the executionTime attribute is set

    - #### setDeadline

          void setDeadline(int aDeadline)

      Set the deadline attribute.
      Parameters:
        `aDeadline` - the new value for the deadline attribute

    - #### getDeadline

          int getDeadline()

      Get the value of the deadline attribute.
      Returns:
        the value of the deadline attribute

    - #### isSetDeadline

          boolean isSetDeadline()

      Determine if any deadline attribute is set
      Returns:
        `true` if the deadline attribute is set

    - #### getOwner

          java.lang.String getOwner()

      Get the value of the owner attribute.
      Returns:
        the value of the owner attribute

    - #### isSetOwner

          boolean isSetOwner()

      Determine if any owner attribute is set
      Returns:
        `true` if the owner attribute is set

    - #### getUid

          int getUid()

      Get the value of the uid attribute.
      Returns:
        the value of the uid attribute

    - #### isSetUid

          boolean isSetUid()

      Determine if any uid attribute is set
      Returns:
        `true` if the uid attribute is set

    - #### getGroup

          java.lang.String getGroup()

      Get the value of the group attribute.
      Returns:
        the value of the group attribute

    - #### isSetGroup

          boolean isSetGroup()

      Determine if any group attribute is set
      Returns:
        `true` if the group attribute is set

    - #### getGid

          int getGid()

      Get the value of the gid attribute.
      Returns:
        the value of the gid attribute

    - #### isSetGid

          boolean isSetGid()

      Determine if any gid attribute is set
      Returns:
        `true` if the gid attribute is set

    - #### setAccount

          void setAccount(java.lang.String aAccount)

      Set the account attribute.
      Parameters:
        `aAccount` - the new value for the account attribute

    - #### getAccount

          java.lang.String getAccount()

      Get the value of the account attribute.
      Returns:
        the value of the account attribute

    - #### isSetAccount

          boolean isSetAccount()

      Determine if any account attribute is set
      Returns:
        `true` if the account attribute is set

    - #### setCwd

          void setCwd(java.lang.String aCwd)

      Set the cwd attribute.
      Parameters:
        `aCwd` - the new value for the cwd attribute

    - #### getCwd

          java.lang.String getCwd()

      Get the value of the cwd attribute.
      Returns:
        the value of the cwd attribute

    - #### isSetCwd

          boolean isSetCwd()

      Determine if any cwd attribute is set
      Returns:
        `true` if the cwd attribute is set

    - #### setNotify

          void setNotify(boolean aNotify)

      Set the notify attribute.
      Parameters:
        `aNotify` - the new value for the notify attribute

    - #### isNotify

          boolean isNotify()

      Get the value of the notify attribute.
      Returns:
        the value of the notify attribute

    - #### isSetNotify

          boolean isSetNotify()

      Determine if any notify attribute is set
      Returns:
        `true` if the notify attribute is set

    - #### setType

          void setType(int aType)

      Set the type attribute.
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          int getType()

      Get the value of the type attribute.
      Returns:
        the value of the type attribute

    - #### isSetType

          boolean isSetType()

      Determine if any type attribute is set
      Returns:
        `true` if the type attribute is set

    - #### setReserve

          void setReserve(boolean aReserve)

      Set the reserve attribute.
      Parameters:
        `aReserve` - the new value for the reserve attribute

    - #### isReserve

          boolean isReserve()

      Get the value of the reserve attribute.
      Returns:
        the value of the reserve attribute

    - #### isSetReserve

          boolean isSetReserve()

      Determine if any reserve attribute is set
      Returns:
        `true` if the reserve attribute is set

    - #### setPriority

          void setPriority(int aPriority)

      Set the priority attribute.
      Parameters:
        `aPriority` - the new value for the priority attribute

    - #### getPriority

          int getPriority()

      Get the value of the priority attribute.
      Returns:
        the value of the priority attribute

    - #### isSetPriority

          boolean isSetPriority()

      Determine if any priority attribute is set
      Returns:
        `true` if the priority attribute is set

    - #### setJobshare

          void setJobshare(int aJobshare)

      Set the jobshare attribute.
      Parameters:
        `aJobshare` - the new value for the jobshare attribute

    - #### getJobshare

          int getJobshare()

      Get the value of the jobshare attribute.
      Returns:
        the value of the jobshare attribute

    - #### isSetJobshare

          boolean isSetJobshare()

      Determine if any jobshare attribute is set
      Returns:
        `true` if the jobshare attribute is set

    - #### getShellList

          java.util.List<PathName> getShellList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathName attributes

    - #### getShellCount

          int getShellCount()

      Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathName attributes.

    - #### getShell

          PathName getShell(int index)

      Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathName attribute

    - #### addShell

          void addShell(PathName ashell)

      Add a com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `ashell` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### setShell

          void setShell(int index,
                        PathName ashell)

      Set a com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathName attribute
        `ashell` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### removeAllShell

          void removeAllShell()

      Remove all com.sun.grid.jgdi.configuration.PathName attributes.

    - #### removeShell

          PathName removeShell(int index)

      Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathName attribute or `null` if no attribute at this index is stored

    - #### removeShell

          boolean removeShell(PathName ashell)

      Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `ashell` - the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathName attribute has been removed

    - #### isSetShell

          boolean isSetShell()

      Determine if any shell attribute is set
      Returns:
        `true` if the shell attribute is set

    - #### getVerify

          int getVerify()

      Get the value of the verify attribute.
      Returns:
        the value of the verify attribute

    - #### isSetVerify

          boolean isSetVerify()

      Determine if any verify attribute is set
      Returns:
        `true` if the verify attribute is set

    - #### getDefaultEnv

          java.lang.String getDefaultEnv()

      Get the default value of the attribute env.

      Returns:
        the default value of the attribute env
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getEnv

          java.lang.String getEnv(java.lang.String key)

      Get the env attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the env attribute for `key` or the default value of env

    - #### getEnvKeys

          java.util.Set<java.lang.String> getEnvKeys()

      Get the set of `key`s which have the attribute env set.
      Returns:
        set of `key`s

    - #### getEnvCount

          int getEnvCount()

      Get the number of keys which have the attribute env set.
      Returns:
        the number of keys which have the attribute env set.

    - #### isSetEnv

          boolean isSetEnv(java.lang.String key)

      Determine if any env attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the env attribute is set

    - #### putEnv

          void putEnv(java.lang.String key,
                      java.lang.String value)

      Put the attribute env for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeEnv

          java.lang.String removeEnv(java.lang.String key)

      remove the attribute env for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllEnv

          void removeAllEnv()

      Remove the attribute env for all keys.

    - #### isSetEnv

          boolean isSetEnv()

      Determine if any env attribute is set
      Returns:
        `true` if the env attribute is set

    - #### getDefaultContext

          java.lang.String getDefaultContext()

      Get the default value of the attribute context.

      Returns:
        the default value of the attribute context
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getContext

          java.lang.String getContext(java.lang.String key)

      Get the context attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the context attribute for `key` or the default value of context

    - #### getContextKeys

          java.util.Set<java.lang.String> getContextKeys()

      Get the set of `key`s which have the attribute context set.
      Returns:
        set of `key`s

    - #### getContextCount

          int getContextCount()

      Get the number of keys which have the attribute context set.
      Returns:
        the number of keys which have the attribute context set.

    - #### isSetContext

          boolean isSetContext(java.lang.String key)

      Determine if any context attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the context attribute is set

    - #### putContext

          void putContext(java.lang.String key,
                          java.lang.String value)

      Put the attribute context for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeContext

          java.lang.String removeContext(java.lang.String key)

      remove the attribute context for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllContext

          void removeAllContext()

      Remove the attribute context for all keys.

    - #### isSetContext

          boolean isSetContext()

      Determine if any context attribute is set
      Returns:
        `true` if the context attribute is set

    - #### getJobArgsList

          java.util.List<java.lang.String> getJobArgsList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getJobArgsCount

          int getJobArgsCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getJobArgs

          java.lang.String getJobArgs(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addJobArgs

          void addJobArgs(java.lang.String ajobArgs)

      Add a java.lang.String attribute.
      Parameters:
        `ajobArgs` - the new java.lang.String attribute

    - #### setJobArgs

          void setJobArgs(int index,
                          java.lang.String ajobArgs)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `ajobArgs` - the new java.lang.String attribute

    - #### removeAllJobArgs

          void removeAllJobArgs()

      Remove all java.lang.String attributes.

    - #### removeJobArgs

          java.lang.String removeJobArgs(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeJobArgs

          boolean removeJobArgs(java.lang.String ajobArgs)

      Remote a specific java.lang.String attribute.
      Parameters:
        `ajobArgs` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetJobArgs

          boolean isSetJobArgs()

      Determine if any jobArgs attribute is set
      Returns:
        `true` if the jobArgs attribute is set

    - #### getCheckpointAttr

          int getCheckpointAttr()

      Get the value of the checkpointAttr attribute.
      Returns:
        the value of the checkpointAttr attribute

    - #### isSetCheckpointAttr

          boolean isSetCheckpointAttr()

      Determine if any checkpointAttr attribute is set
      Returns:
        `true` if the checkpointAttr attribute is set

    - #### setCheckpointName

          void setCheckpointName(java.lang.String aCheckpointName)

      Set the checkpointName attribute.
      Parameters:
        `aCheckpointName` - the new value for the checkpointName attribute

    - #### getCheckpointName

          java.lang.String getCheckpointName()

      Get the value of the checkpointName attribute.
      Returns:
        the value of the checkpointName attribute

    - #### isSetCheckpointName

          boolean isSetCheckpointName()

      Determine if any checkpointName attribute is set
      Returns:
        `true` if the checkpointName attribute is set

    - #### getCheckpointObject

          Checkpoint getCheckpointObject()

      Get the value of the checkpointObject attribute.
      Returns:
        the value of the checkpointObject attribute

    - #### isSetCheckpointObject

          boolean isSetCheckpointObject()

      Determine if any checkpointObject attribute is set
      Returns:
        `true` if the checkpointObject attribute is set

    - #### getCheckpointInterval

          int getCheckpointInterval()

      Get the value of the checkpointInterval attribute.
      Returns:
        the value of the checkpointInterval attribute

    - #### isSetCheckpointInterval

          boolean isSetCheckpointInterval()

      Determine if any checkpointInterval attribute is set
      Returns:
        `true` if the checkpointInterval attribute is set

    - #### setRestart

          void setRestart(int aRestart)

      Set the restart attribute.
      Parameters:
        `aRestart` - the new value for the restart attribute

    - #### getRestart

          int getRestart()

      Get the value of the restart attribute.
      Returns:
        the value of the restart attribute

    - #### isSetRestart

          boolean isSetRestart()

      Determine if any restart attribute is set
      Returns:
        `true` if the restart attribute is set

    - #### getStdoutPathList

          java.util.List<PathName> getStdoutPathList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathName attributes

    - #### getStdoutPathCount

          int getStdoutPathCount()

      Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathName attributes.

    - #### getStdoutPath

          PathName getStdoutPath(int index)

      Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathName attribute

    - #### addStdoutPath

          void addStdoutPath(PathName astdoutPath)

      Add a com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `astdoutPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### setStdoutPath

          void setStdoutPath(int index,
                             PathName astdoutPath)

      Set a com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathName attribute
        `astdoutPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### removeAllStdoutPath

          void removeAllStdoutPath()

      Remove all com.sun.grid.jgdi.configuration.PathName attributes.

    - #### removeStdoutPath

          PathName removeStdoutPath(int index)

      Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathName attribute or `null` if no attribute at this index is stored

    - #### removeStdoutPath

          boolean removeStdoutPath(PathName astdoutPath)

      Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `astdoutPath` - the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathName attribute has been removed

    - #### isSetStdoutPath

          boolean isSetStdoutPath()

      Determine if any stdoutPath attribute is set
      Returns:
        `true` if the stdoutPath attribute is set

    - #### getStderrPathList

          java.util.List<PathName> getStderrPathList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathName attributes

    - #### getStderrPathCount

          int getStderrPathCount()

      Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathName attributes.

    - #### getStderrPath

          PathName getStderrPath(int index)

      Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathName attribute

    - #### addStderrPath

          void addStderrPath(PathName astderrPath)

      Add a com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `astderrPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### setStderrPath

          void setStderrPath(int index,
                             PathName astderrPath)

      Set a com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathName attribute
        `astderrPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### removeAllStderrPath

          void removeAllStderrPath()

      Remove all com.sun.grid.jgdi.configuration.PathName attributes.

    - #### removeStderrPath

          PathName removeStderrPath(int index)

      Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathName attribute or `null` if no attribute at this index is stored

    - #### removeStderrPath

          boolean removeStderrPath(PathName astderrPath)

      Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `astderrPath` - the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathName attribute has been removed

    - #### isSetStderrPath

          boolean isSetStderrPath()

      Determine if any stderrPath attribute is set
      Returns:
        `true` if the stderrPath attribute is set

    - #### getStdinPathList

          java.util.List<PathName> getStdinPathList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathName attributes

    - #### getStdinPathCount

          int getStdinPathCount()

      Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathName attributes.

    - #### getStdinPath

          PathName getStdinPath(int index)

      Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathName attribute

    - #### addStdinPath

          void addStdinPath(PathName astdinPath)

      Add a com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `astdinPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### setStdinPath

          void setStdinPath(int index,
                            PathName astdinPath)

      Set a com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathName attribute
        `astdinPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### removeAllStdinPath

          void removeAllStdinPath()

      Remove all com.sun.grid.jgdi.configuration.PathName attributes.

    - #### removeStdinPath

          PathName removeStdinPath(int index)

      Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathName attribute or `null` if no attribute at this index is stored

    - #### removeStdinPath

          boolean removeStdinPath(PathName astdinPath)

      Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
      Parameters:
        `astdinPath` - the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathName attribute has been removed

    - #### isSetStdinPath

          boolean isSetStdinPath()

      Determine if any stdinPath attribute is set
      Returns:
        `true` if the stdinPath attribute is set

    - #### setMergeStderr

          void setMergeStderr(boolean aMergeStderr)

      Set the mergeStderr attribute.
      Parameters:
        `aMergeStderr` - the new value for the mergeStderr attribute

    - #### isMergeStderr

          boolean isMergeStderr()

      Get the value of the mergeStderr attribute.
      Returns:
        the value of the mergeStderr attribute

    - #### isSetMergeStderr

          boolean isSetMergeStderr()

      Determine if any mergeStderr attribute is set
      Returns:
        `true` if the mergeStderr attribute is set

    - #### getHardResourceList

          java.util.List<ComplexEntry> getHardResourceList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getHardResourceCount

          int getHardResourceCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getHardResource

          ComplexEntry getHardResource(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### addHardResource

          void addHardResource(ComplexEntry ahardResource)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `ahardResource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setHardResource

          void setHardResource(int index,
                               ComplexEntry ahardResource)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `ahardResource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllHardResource

          void removeAllHardResource()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### removeHardResource

          ComplexEntry removeHardResource(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeHardResource

          boolean removeHardResource(ComplexEntry ahardResource)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `ahardResource` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### isSetHardResource

          boolean isSetHardResource()

      Determine if any hardResource attribute is set
      Returns:
        `true` if the hardResource attribute is set

    - #### getSoftResourceList

          java.util.List<ComplexEntry> getSoftResourceList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getSoftResourceCount

          int getSoftResourceCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getSoftResource

          ComplexEntry getSoftResource(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### addSoftResource

          void addSoftResource(ComplexEntry asoftResource)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `asoftResource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setSoftResource

          void setSoftResource(int index,
                               ComplexEntry asoftResource)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `asoftResource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllSoftResource

          void removeAllSoftResource()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### removeSoftResource

          ComplexEntry removeSoftResource(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeSoftResource

          boolean removeSoftResource(ComplexEntry asoftResource)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `asoftResource` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### isSetSoftResource

          boolean isSetSoftResource()

      Determine if any softResource attribute is set
      Returns:
        `true` if the softResource attribute is set

    - #### getHardQueueList

          java.util.List<java.lang.String> getHardQueueList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getHardQueueCount

          int getHardQueueCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getHardQueue

          java.lang.String getHardQueue(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addHardQueue

          void addHardQueue(java.lang.String ahardQueue)

      Add a java.lang.String attribute.
      Parameters:
        `ahardQueue` - the new java.lang.String attribute

    - #### setHardQueue

          void setHardQueue(int index,
                            java.lang.String ahardQueue)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `ahardQueue` - the new java.lang.String attribute

    - #### removeAllHardQueue

          void removeAllHardQueue()

      Remove all java.lang.String attributes.

    - #### removeHardQueue

          java.lang.String removeHardQueue(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeHardQueue

          boolean removeHardQueue(java.lang.String ahardQueue)

      Remote a specific java.lang.String attribute.
      Parameters:
        `ahardQueue` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetHardQueue

          boolean isSetHardQueue()

      Determine if any hardQueue attribute is set
      Returns:
        `true` if the hardQueue attribute is set

    - #### getSoftQueueList

          java.util.List<java.lang.String> getSoftQueueList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getSoftQueueCount

          int getSoftQueueCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getSoftQueue

          java.lang.String getSoftQueue(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addSoftQueue

          void addSoftQueue(java.lang.String asoftQueue)

      Add a java.lang.String attribute.
      Parameters:
        `asoftQueue` - the new java.lang.String attribute

    - #### setSoftQueue

          void setSoftQueue(int index,
                            java.lang.String asoftQueue)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `asoftQueue` - the new java.lang.String attribute

    - #### removeAllSoftQueue

          void removeAllSoftQueue()

      Remove all java.lang.String attributes.

    - #### removeSoftQueue

          java.lang.String removeSoftQueue(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeSoftQueue

          boolean removeSoftQueue(java.lang.String asoftQueue)

      Remote a specific java.lang.String attribute.
      Parameters:
        `asoftQueue` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetSoftQueue

          boolean isSetSoftQueue()

      Determine if any softQueue attribute is set
      Returns:
        `true` if the softQueue attribute is set

    - #### setMailOptions

          void setMailOptions(int aMailOptions)

      Set the mailOptions attribute.
      Parameters:
        `aMailOptions` - the new value for the mailOptions attribute

    - #### getMailOptions

          int getMailOptions()

      Get the value of the mailOptions attribute.
      Returns:
        the value of the mailOptions attribute

    - #### isSetMailOptions

          boolean isSetMailOptions()

      Determine if any mailOptions attribute is set
      Returns:
        `true` if the mailOptions attribute is set

    - #### getMailList

          java.util.List<MailReceiver> getMailList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.MailReceiver attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.MailReceiver attributes

    - #### getMailCount

          int getMailCount()

      Get the number of com.sun.grid.jgdi.configuration.MailReceiver attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.MailReceiver attributes.

    - #### getMail

          MailReceiver getMail(int index)

      Get a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### addMail

          void addMail(MailReceiver amail)

      Add a com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Parameters:
        `amail` - the new com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### setMail

          void setMail(int index,
                       MailReceiver amail)

      Set a com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.MailReceiver attribute
        `amail` - the new com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### removeAllMail

          void removeAllMail()

      Remove all com.sun.grid.jgdi.configuration.MailReceiver attributes.

    - #### removeMail

          MailReceiver removeMail(int index)

      Remote a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.MailReceiver attribute or `null` if no attribute at this index is stored

    - #### removeMail

          boolean removeMail(MailReceiver amail)

      Remote a specific com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Parameters:
        `amail` - the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.MailReceiver attribute has been removed

    - #### isSetMail

          boolean isSetMail()

      Determine if any mail attribute is set
      Returns:
        `true` if the mail attribute is set

    - #### setPe

          void setPe(java.lang.String aPe)

      Set the pe attribute.
      Parameters:
        `aPe` - the new value for the pe attribute

    - #### getPe

          java.lang.String getPe()

      Get the value of the pe attribute.
      Returns:
        the value of the pe attribute

    - #### isSetPe

          boolean isSetPe()

      Determine if any pe attribute is set
      Returns:
        `true` if the pe attribute is set

    - #### getPeRangeList

          java.util.List<Range> getPeRangeList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getPeRangeCount

          int getPeRangeCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getPeRange

          Range getPeRange(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### addPeRange

          void addPeRange(Range apeRange)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `apeRange` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setPeRange

          void setPeRange(int index,
                          Range apeRange)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `apeRange` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllPeRange

          void removeAllPeRange()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.

    - #### removePeRange

          Range removePeRange(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removePeRange

          boolean removePeRange(Range apeRange)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `apeRange` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### isSetPeRange

          boolean isSetPeRange()

      Determine if any peRange attribute is set
      Returns:
        `true` if the peRange attribute is set

    - #### getMasterHardQueueList

          java.util.List<java.lang.String> getMasterHardQueueList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getMasterHardQueueCount

          int getMasterHardQueueCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getMasterHardQueue

          java.lang.String getMasterHardQueue(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addMasterHardQueue

          void addMasterHardQueue(java.lang.String amasterHardQueue)

      Add a java.lang.String attribute.
      Parameters:
        `amasterHardQueue` - the new java.lang.String attribute

    - #### setMasterHardQueue

          void setMasterHardQueue(int index,
                                  java.lang.String amasterHardQueue)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `amasterHardQueue` - the new java.lang.String attribute

    - #### removeAllMasterHardQueue

          void removeAllMasterHardQueue()

      Remove all java.lang.String attributes.

    - #### removeMasterHardQueue

          java.lang.String removeMasterHardQueue(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeMasterHardQueue

          boolean removeMasterHardQueue(java.lang.String amasterHardQueue)

      Remote a specific java.lang.String attribute.
      Parameters:
        `amasterHardQueue` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetMasterHardQueue

          boolean isSetMasterHardQueue()

      Determine if any masterHardQueue attribute is set
      Returns:
        `true` if the masterHardQueue attribute is set

    - #### setTgt

          void setTgt(java.lang.String aTgt)

      Set the tgt attribute.
      Parameters:
        `aTgt` - the new value for the tgt attribute

    - #### getTgt

          java.lang.String getTgt()

      Get the value of the tgt attribute.
      Returns:
        the value of the tgt attribute

    - #### isSetTgt

          boolean isSetTgt()

      Determine if any tgt attribute is set
      Returns:
        `true` if the tgt attribute is set

    - #### setCred

          void setCred(java.lang.String aCred)

      Set the cred attribute.
      Parameters:
        `aCred` - the new value for the cred attribute

    - #### getCred

          java.lang.String getCred()

      Get the value of the cred attribute.
      Returns:
        the value of the cred attribute

    - #### isSetCred

          boolean isSetCred()

      Determine if any cred attribute is set
      Returns:
        `true` if the cred attribute is set

    - #### getJaStructureList

          java.util.List<Range> getJaStructureList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaStructureCount

          int getJaStructureCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaStructure

          Range getJaStructure(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### addJaStructure

          void addJaStructure(Range ajaStructure)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaStructure` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaStructure

          void setJaStructure(int index,
                              Range ajaStructure)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaStructure` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaStructure

          void removeAllJaStructure()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.

    - #### removeJaStructure

          Range removeJaStructure(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaStructure

          boolean removeJaStructure(Range ajaStructure)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaStructure` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### isSetJaStructure

          boolean isSetJaStructure()

      Determine if any jaStructure attribute is set
      Returns:
        `true` if the jaStructure attribute is set

    - #### getJaNHIdsList

          java.util.List<Range> getJaNHIdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaNHIdsCount

          int getJaNHIdsCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaNHIds

          Range getJaNHIds(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### addJaNHIds

          void addJaNHIds(Range ajaNHIds)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaNHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaNHIds

          void setJaNHIds(int index,
                          Range ajaNHIds)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaNHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaNHIds

          void removeAllJaNHIds()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.

    - #### removeJaNHIds

          Range removeJaNHIds(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaNHIds

          boolean removeJaNHIds(Range ajaNHIds)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaNHIds` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### isSetJaNHIds

          boolean isSetJaNHIds()

      Determine if any jaNHIds attribute is set
      Returns:
        `true` if the jaNHIds attribute is set

    - #### getJaUHIdsList

          java.util.List<Range> getJaUHIdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaUHIdsCount

          int getJaUHIdsCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaUHIds

          Range getJaUHIds(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### addJaUHIds

          void addJaUHIds(Range ajaUHIds)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaUHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaUHIds

          void setJaUHIds(int index,
                          Range ajaUHIds)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaUHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaUHIds

          void removeAllJaUHIds()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.

    - #### removeJaUHIds

          Range removeJaUHIds(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaUHIds

          boolean removeJaUHIds(Range ajaUHIds)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaUHIds` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### isSetJaUHIds

          boolean isSetJaUHIds()

      Determine if any jaUHIds attribute is set
      Returns:
        `true` if the jaUHIds attribute is set

    - #### getJaSHIdsList

          java.util.List<Range> getJaSHIdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaSHIdsCount

          int getJaSHIdsCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaSHIds

          Range getJaSHIds(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### addJaSHIds

          void addJaSHIds(Range ajaSHIds)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaSHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaSHIds

          void setJaSHIds(int index,
                          Range ajaSHIds)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaSHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaSHIds

          void removeAllJaSHIds()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.

    - #### removeJaSHIds

          Range removeJaSHIds(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaSHIds

          boolean removeJaSHIds(Range ajaSHIds)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaSHIds` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### isSetJaSHIds

          boolean isSetJaSHIds()

      Determine if any jaSHIds attribute is set
      Returns:
        `true` if the jaSHIds attribute is set

    - #### getJaOHIdsList

          java.util.List<Range> getJaOHIdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaOHIdsCount

          int getJaOHIdsCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaOHIds

          Range getJaOHIds(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### addJaOHIds

          void addJaOHIds(Range ajaOHIds)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaOHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaOHIds

          void setJaOHIds(int index,
                          Range ajaOHIds)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaOHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaOHIds

          void removeAllJaOHIds()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.

    - #### removeJaOHIds

          Range removeJaOHIds(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaOHIds

          boolean removeJaOHIds(Range ajaOHIds)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaOHIds` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### isSetJaOHIds

          boolean isSetJaOHIds()

      Determine if any jaOHIds attribute is set
      Returns:
        `true` if the jaOHIds attribute is set

    - #### getJaAHIdsList

          java.util.List<Range> getJaAHIdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaAHIdsCount

          int getJaAHIdsCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaAHIds

          Range getJaAHIds(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### addJaAHIds

          void addJaAHIds(Range ajaAHIds)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaAHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaAHIds

          void setJaAHIds(int index,
                          Range ajaAHIds)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaAHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaAHIds

          void removeAllJaAHIds()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.

    - #### removeJaAHIds

          Range removeJaAHIds(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaAHIds

          boolean removeJaAHIds(Range ajaAHIds)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `ajaAHIds` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### isSetJaAHIds

          boolean isSetJaAHIds()

      Determine if any jaAHIds attribute is set
      Returns:
        `true` if the jaAHIds attribute is set

    - #### getJaTemplateList

          java.util.List<JobTask> getJaTemplateList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobTask attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobTask attributes

    - #### getJaTemplateCount

          int getJaTemplateCount()

      Get the number of com.sun.grid.jgdi.configuration.JobTask attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobTask attributes.

    - #### getJaTemplate

          JobTask getJaTemplate(int index)

      Get a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobTask attribute

    - #### addJaTemplate

          void addJaTemplate(JobTask ajaTemplate)

      Add a com.sun.grid.jgdi.configuration.JobTask attribute.
      Parameters:
        `ajaTemplate` - the new com.sun.grid.jgdi.configuration.JobTask attribute

    - #### setJaTemplate

          void setJaTemplate(int index,
                             JobTask ajaTemplate)

      Set a com.sun.grid.jgdi.configuration.JobTask attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobTask attribute
        `ajaTemplate` - the new com.sun.grid.jgdi.configuration.JobTask attribute

    - #### removeAllJaTemplate

          void removeAllJaTemplate()

      Remove all com.sun.grid.jgdi.configuration.JobTask attributes.

    - #### removeJaTemplate

          JobTask removeJaTemplate(int index)

      Remote a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobTask attribute or `null` if no attribute at this index is stored

    - #### removeJaTemplate

          boolean removeJaTemplate(JobTask ajaTemplate)

      Remote a specific com.sun.grid.jgdi.configuration.JobTask attribute.
      Parameters:
        `ajaTemplate` - the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobTask attribute has been removed

    - #### isSetJaTemplate

          boolean isSetJaTemplate()

      Determine if any jaTemplate attribute is set
      Returns:
        `true` if the jaTemplate attribute is set

    - #### getJaTasksList

          java.util.List<JobTask> getJaTasksList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobTask attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobTask attributes

    - #### getJaTasksCount

          int getJaTasksCount()

      Get the number of com.sun.grid.jgdi.configuration.JobTask attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobTask attributes.

    - #### getJaTasks

          JobTask getJaTasks(int index)

      Get a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobTask attribute

    - #### addJaTasks

          void addJaTasks(JobTask ajaTasks)

      Add a com.sun.grid.jgdi.configuration.JobTask attribute.
      Parameters:
        `ajaTasks` - the new com.sun.grid.jgdi.configuration.JobTask attribute

    - #### setJaTasks

          void setJaTasks(int index,
                          JobTask ajaTasks)

      Set a com.sun.grid.jgdi.configuration.JobTask attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobTask attribute
        `ajaTasks` - the new com.sun.grid.jgdi.configuration.JobTask attribute

    - #### removeAllJaTasks

          void removeAllJaTasks()

      Remove all com.sun.grid.jgdi.configuration.JobTask attributes.

    - #### removeJaTasks

          JobTask removeJaTasks(int index)

      Remote a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobTask attribute or `null` if no attribute at this index is stored

    - #### removeJaTasks

          boolean removeJaTasks(JobTask ajaTasks)

      Remote a specific com.sun.grid.jgdi.configuration.JobTask attribute.
      Parameters:
        `ajaTasks` - the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobTask attribute has been removed

    - #### isSetJaTasks

          boolean isSetJaTasks()

      Determine if any jaTasks attribute is set
      Returns:
        `true` if the jaTasks attribute is set

    - #### getHost

          java.lang.String getHost()

      Get the value of the host attribute.
      Returns:
        the value of the host attribute

    - #### isSetHost

          boolean isSetHost()

      Determine if any host attribute is set
      Returns:
        `true` if the host attribute is set

    - #### getUserList

          java.util.List<java.lang.String> getUserList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getUserCount

          int getUserCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getUser

          java.lang.String getUser(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addUser

          void addUser(java.lang.String auser)

      Add a java.lang.String attribute.
      Parameters:
        `auser` - the new java.lang.String attribute

    - #### setUser

          void setUser(int index,
                       java.lang.String auser)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `auser` - the new java.lang.String attribute

    - #### removeAllUser

          void removeAllUser()

      Remove all java.lang.String attributes.

    - #### removeUser

          java.lang.String removeUser(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeUser

          boolean removeUser(java.lang.String auser)

      Remote a specific java.lang.String attribute.
      Parameters:
        `auser` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetUser

          boolean isSetUser()

      Determine if any user attribute is set
      Returns:
        `true` if the user attribute is set

    - #### setVerifySuitableQueues

          void setVerifySuitableQueues(int aVerifySuitableQueues)

      Set the verifySuitableQueues attribute.
      Parameters:
        `aVerifySuitableQueues` - the new value for the verifySuitableQueues attribute

    - #### getVerifySuitableQueues

          int getVerifySuitableQueues()

      Get the value of the verifySuitableQueues attribute.
      Returns:
        the value of the verifySuitableQueues attribute

    - #### isSetVerifySuitableQueues

          boolean isSetVerifySuitableQueues()

      Determine if any verifySuitableQueues attribute is set
      Returns:
        `true` if the verifySuitableQueues attribute is set

    - #### setOverrideTickets

          void setOverrideTickets(int aOverrideTickets)

      Set the overrideTickets attribute.
      Parameters:
        `aOverrideTickets` - the new value for the overrideTickets attribute

    - #### getOverrideTickets

          int getOverrideTickets()

      Get the value of the overrideTickets attribute.
      Returns:
        the value of the overrideTickets attribute

    - #### isSetOverrideTickets

          boolean isSetOverrideTickets()

      Determine if any overrideTickets attribute is set
      Returns:
        `true` if the overrideTickets attribute is set

    - #### getPathAliasesList

          java.util.List<PathAlias> getPathAliasesList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathAlias attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathAlias attributes

    - #### getPathAliasesCount

          int getPathAliasesCount()

      Get the number of com.sun.grid.jgdi.configuration.PathAlias attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathAlias attributes.

    - #### getPathAliases

          PathAlias getPathAliases(int index)

      Get a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### addPathAliases

          void addPathAliases(PathAlias apathAliases)

      Add a com.sun.grid.jgdi.configuration.PathAlias attribute.
      Parameters:
        `apathAliases` - the new com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### setPathAliases

          void setPathAliases(int index,
                              PathAlias apathAliases)

      Set a com.sun.grid.jgdi.configuration.PathAlias attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathAlias attribute
        `apathAliases` - the new com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### removeAllPathAliases

          void removeAllPathAliases()

      Remove all com.sun.grid.jgdi.configuration.PathAlias attributes.

    - #### removePathAliases

          PathAlias removePathAliases(int index)

      Remote a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathAlias attribute or `null` if no attribute at this index is stored

    - #### removePathAliases

          boolean removePathAliases(PathAlias apathAliases)

      Remote a specific com.sun.grid.jgdi.configuration.PathAlias attribute.
      Parameters:
        `apathAliases` - the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathAlias attribute has been removed

    - #### isSetPathAliases

          boolean isSetPathAliases()

      Determine if any pathAliases attribute is set
      Returns:
        `true` if the pathAliases attribute is set

    - #### setUrg

          void setUrg(double aUrg)

      Set the urg attribute.
      Parameters:
        `aUrg` - the new value for the urg attribute

    - #### getUrg

          double getUrg()

      Get the value of the urg attribute.
      Returns:
        the value of the urg attribute

    - #### isSetUrg

          boolean isSetUrg()

      Determine if any urg attribute is set
      Returns:
        `true` if the urg attribute is set

    - #### getNurg

          double getNurg()

      Get the value of the nurg attribute.
      Returns:
        the value of the nurg attribute

    - #### isSetNurg

          boolean isSetNurg()

      Determine if any nurg attribute is set
      Returns:
        `true` if the nurg attribute is set

    - #### getNppri

          double getNppri()

      Get the value of the nppri attribute.
      Returns:
        the value of the nppri attribute

    - #### isSetNppri

          boolean isSetNppri()

      Determine if any nppri attribute is set
      Returns:
        `true` if the nppri attribute is set

    - #### getRrcontr

          double getRrcontr()

      Get the value of the rrcontr attribute.
      Returns:
        the value of the rrcontr attribute

    - #### isSetRrcontr

          boolean isSetRrcontr()

      Determine if any rrcontr attribute is set
      Returns:
        `true` if the rrcontr attribute is set

    - #### getDlcontr

          double getDlcontr()

      Get the value of the dlcontr attribute.
      Returns:
        the value of the dlcontr attribute

    - #### isSetDlcontr

          boolean isSetDlcontr()

      Determine if any dlcontr attribute is set
      Returns:
        `true` if the dlcontr attribute is set

    - #### getWtcontr

          double getWtcontr()

      Get the value of the wtcontr attribute.
      Returns:
        the value of the wtcontr attribute

    - #### isSetWtcontr

          boolean isSetWtcontr()

      Determine if any wtcontr attribute is set
      Returns:
        `true` if the wtcontr attribute is set

    - #### setAr

          void setAr(int aAr)

      Set the ar attribute.
      Parameters:
        `aAr` - the new value for the ar attribute

    - #### getAr

          int getAr()

      Get the value of the ar attribute.
      Returns:
        the value of the ar attribute

    - #### isSetAr

          boolean isSetAr()

      Determine if any ar attribute is set
      Returns:
        `true` if the ar attribute is set

    - #### setPty

          void setPty(int aPty)

      Set the pty attribute.
      Parameters:
        `aPty` - the new value for the pty attribute

    - #### getPty

          int getPty()

      Get the value of the pty attribute.
      Returns:
        the value of the pty attribute

    - #### isSetPty

          boolean isSetPty()

      Determine if any pty attribute is set
      Returns:
        `true` if the pty attribute is set

    - #### setJaTaskConcurrency

          void setJaTaskConcurrency(int aJaTaskConcurrency)

      Set the jaTaskConcurrency attribute.
      Parameters:
        `aJaTaskConcurrency` - the new value for the jaTaskConcurrency attribute

    - #### getJaTaskConcurrency

          int getJaTaskConcurrency()

      Get the value of the jaTaskConcurrency attribute.
      Returns:
        the value of the jaTaskConcurrency attribute

    - #### isSetJaTaskConcurrency

          boolean isSetJaTaskConcurrency()

      Determine if any jaTaskConcurrency attribute is set
      Returns:
        `true` if the jaTaskConcurrency attribute is set

    - #### getBindingList

          java.util.List<Binding> getBindingList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Binding attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Binding attributes

    - #### getBindingCount

          int getBindingCount()

      Get the number of com.sun.grid.jgdi.configuration.Binding attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Binding attributes.

    - #### getBinding

          Binding getBinding(int index)

      Get a com.sun.grid.jgdi.configuration.Binding attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Binding attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Binding attribute

    - #### addBinding

          void addBinding(Binding abinding)

      Add a com.sun.grid.jgdi.configuration.Binding attribute.
      Parameters:
        `abinding` - the new com.sun.grid.jgdi.configuration.Binding attribute

    - #### setBinding

          void setBinding(int index,
                          Binding abinding)

      Set a com.sun.grid.jgdi.configuration.Binding attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Binding attribute
        `abinding` - the new com.sun.grid.jgdi.configuration.Binding attribute

    - #### removeAllBinding

          void removeAllBinding()

      Remove all com.sun.grid.jgdi.configuration.Binding attributes.

    - #### removeBinding

          Binding removeBinding(int index)

      Remote a com.sun.grid.jgdi.configuration.Binding attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Binding attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Binding attribute or `null` if no attribute at this index is stored

    - #### removeBinding

          boolean removeBinding(Binding abinding)

      Remote a specific com.sun.grid.jgdi.configuration.Binding attribute.
      Parameters:
        `abinding` - the com.sun.grid.jgdi.configuration.Binding attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Binding attribute has been removed

    - #### isSetBinding

          boolean isSetBinding()

      Determine if any binding attribute is set
      Returns:
        `true` if the binding attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.